import Vue from 'vue'
import Vuex from 'vuex'

import user from './modules/user'

import getters from './getters'
import permission from './modules/permission'

Vue.use(Vuex)

export default new Vuex.Store({
  mutations: {},
  mutations: {},
  actions: {},
  modules: {
    user,
    permission
  },
  getters,
})
